#
# File: async\client\client.mk
# Makefile for the 'async' client program
# This makefile runs in the following environment:
#	NetWare RPC 1.0, NetWare 2.1 or higher, DOS 3.3
#

COMMON=..\common
CC=tcc
MODEL=s
CFLAGS=-m$(MODEL)
LFLAGS=
RPCC=rpcc
NOBJS=
IOBJS=..\async\async_i.obj
LIBS=rpc$(MODEL).lib nwspx$(MODEL).lib
INCS= -I..\async
RINCS=-I..\async

client.exe: client.obj cstubs.obj  $(IOBJS)
	$(CC) $(LFLAGS) -eclient.exe client.obj cstubs.obj $(IOBJS) $(LIBS)  

async.h: $(COMMON)\async.rpc ..\async\async_i.rpc
	$(RPCC) $(RINCS) -c $(COMMON)\async.rpc -o cstubs.c


cstubs.c: $(COMMON)\async.rpc ..\async\async_i.rpc
	$(RPCC) $(RINCS) -c $(COMMON)\async.rpc -o cstubs.c

cstubs.obj: cstubs.c async.h
	$(CC) $(CFLAGS) -c $(INCS) cstubs.c

client.obj: client.c async.h
	$(CC) $(CFLAGS) -c $(INCS) client.c

