#
# File: async\server\server.mk
# Makefile for the 'async' server program
# This makefile runs in the following environment:
#	NetWare RPC 1.0, NetWare 2.1 or higher, DOS 3.3
#

COMMON=..\common
SCPS=$(RPCSCP)
CC=tcc
MODEL=s
CFLAGS=-m$(MODEL)
LFLAGS=
RPCC=rpcc
NOBJS=
DEFINES=-DSERV_DEF
IOBJS=
LIBS=rpc$(MODEL).lib nwspx$(MODEL).lib
INCS= -I..\async
RINCS=-I..\async

server.exe: scp.obj rproc.obj sstubs.obj $(IOBJS)
	$(CC) $(LFLAGS) -eserver.exe scp.obj rproc.obj sstubs.obj $(IOBJS) $(LIBS)  

async.h: $(COMMON)\async.rpc ..\async\async_i.rpc
	$(RPCC) $(RINCS) -s $(COMMON)\async.rpc -o sstubs.c

sstubs.c: $(COMMON)\async.rpc ..\async\async_i.rpc
	$(RPCC) $(RINCS) -s $(COMMON)\async.rpc -o sstubs.c

sstubs.obj: sstubs.c async.h
	$(CC) $(CFLAGS) -c $(INCS) sstubs.c

# Note that main_sc.c is in the server control procedure directory rather
# than in the local example directory
scp.obj: serv_def.h
	$(CC) $(CFLAGS) -c -I. $(INCS) $(DEFINES) $(SCPS)\main_sc.c
	copy main_sc.obj scp.obj

rproc.obj: rproc.c async.h
	$(CC) $(CFLAGS) -c $(INCS) rproc.c

