#
# File: async1\client\client.mk
# Makefile for the 'async1' client program
# This makefile runs in the following environment:
#	NetWare RPC 1.0, NetWare 2.1 or higher, DOS 3.3
#

COMMON=..\common
CC=tcc
MODEL=s
CFLAGS=-m$(MODEL)
LFLAGS=
RPCC=rpcc
NOBJS=
IOBJS=..\async1\async1_i.obj
LIBS=rpc$(MODEL).lib nwspx$(MODEL).lib
INCS= -I..\async1
RINCS=-I..\async1

client.exe: client.obj cstubs.obj  $(IOBJS)
	$(CC) $(LFLAGS) -eclient.exe client.obj cstubs.obj $(IOBJS) $(LIBS)  

async1.h: $(COMMON)\async1.rpc ..\async1\async1_i.rpc
	$(RPCC) $(RINCS) -c $(COMMON)\async1.rpc -o cstubs.c


cstubs.c: $(COMMON)\async1.rpc ..\async1\async1_i.rpc
	$(RPCC) $(RINCS) -c $(COMMON)\async1.rpc -o cstubs.c

cstubs.obj: cstubs.c async1.h
	$(CC) $(CFLAGS) -c $(INCS) cstubs.c

client.obj: client.c async1.h
	$(CC) $(CFLAGS) -c $(INCS) client.c

