#
# File: authen\client\client.mk
# Makefile for the 'authen' client program
# This makefile runs in the following environment:
#	NetWare RPC 1.0, NetWare 2.1 or higher, DOS 3.3
#

COMMON=..\common
CC=tcc
MODEL=s
CFLAGS=-m$(MODEL)
LFLAGS=
RPCC=rpcc
NOBJS=
IOBJS=
LIBS=rpc$(MODEL).lib nwspx$(MODEL).lib
INCS= -I..\authen\client
RINCS=-I..\authen\common

client.exe: client.obj cstubs.obj  $(IOBJS)
	$(CC) $(LFLAGS) -eclient.exe client.obj cstubs.obj $(IOBJS) $(LIBS)  

authen.h: $(COMMON)\authen.rpc ..\authen\common\authen_i.rpc
	$(RPCC) $(RINCS) -c $(COMMON)\authen.rpc -o cstubs.c


cstubs.c: $(COMMON)\authen.rpc ..\authen\common\authen_i.rpc
	$(RPCC) $(RINCS) -c $(COMMON)\authen.rpc -o cstubs.c

cstubs.obj: cstubs.c authen.h
	$(CC) $(CFLAGS) -c $(INCS) cstubs.c

client.obj: client.c authen.h
	$(CC) $(CFLAGS) -c $(INCS) client.c

