#
# File: error\server\server.mk
# Makefile for the 'error' server program
# This makefile runs in the following environment:
#	NetWare RPC 1.0, NetWare 2.1 or higher, DOS 3.3
#

COMMON=..\common
SCPS=$(RPCSCP)
CC=tcc
MODEL=s
CFLAGS=-m$(MODEL)
LFLAGS=
RPCC=rpcc
NOBJS=
DEFINES=-DSERV_DEF
IOBJS=
LIBS=rpc$(MODEL).lib nwspx$(MODEL).lib
INCS= -I..\error
RINCS=-I..\error

server.exe: scp.obj rproc.obj sstubs.obj $(IOBJS)
	$(CC) $(LFLAGS) -eserver.exe scp.obj rproc.obj sstubs.obj $(IOBJS) $(LIBS)  

error.h: $(COMMON)\error.rpc ..\error\error_i.rpc
	$(RPCC) $(RINCS) -s $(COMMON)\error.rpc -o sstubs.c

sstubs.c: $(COMMON)\error.rpc ..\error\error_i.rpc
	$(RPCC) $(RINCS) -s $(COMMON)\error.rpc -o sstubs.c

sstubs.obj: sstubs.c error.h
	$(CC) $(CFLAGS) -c $(INCS) sstubs.c

# Note that main_sc.c is in the server control procedure directory rather
# than in the local example directory
scp.obj: serv_def.h
	$(CC) $(CFLAGS) -c -I. $(INCS) $(DEFINES) $(SCPS)\main_sc.c
	copy main_sc.obj scp.obj

rproc.obj: rproc.c error.h
	$(CC) $(CFLAGS) -c $(INCS) rproc.c

