#
# File: timer\client\client.mk
# Makefile for the 'timer' client program
# This makefile runs in the following environment:
#	NetWare RPC 1.0, NetWare 2.1 or higher, DOS 3.3
#

COMMON=..\common
CC=tcc
MODEL=s
CFLAGS=-m$(MODEL)
LFLAGS=
RPCC=rpcc
NOBJS=
IOBJS=..\timer\timer_i.obj
LIBS=rpc$(MODEL).lib nwspx$(MODEL).lib
INCS= -I..\timer
RINCS=-I..\timer

client.exe: client.obj cstubs.obj  $(IOBJS)
	$(CC) $(LFLAGS) -eclient.exe client.obj cstubs.obj $(IOBJS) $(LIBS)  

timer.h: $(COMMON)\timer.rpc ..\timer\timer_i.rpc
	$(RPCC) $(RINCS) -c $(COMMON)\timer.rpc -o cstubs.c


cstubs.c: $(COMMON)\timer.rpc ..\timer\timer_i.rpc
	$(RPCC) $(RINCS) -c $(COMMON)\timer.rpc -o cstubs.c

cstubs.obj: cstubs.c timer.h
	$(CC) $(CFLAGS) -c $(INCS) cstubs.c

client.obj: client.c timer.h
	$(CC) $(CFLAGS) -c $(INCS) client.c

