#
# File: tutorial\client\client.mk
# Makefile for the 'tutorial' client program
# This makefile runs in the following environment:
#	NetWare RPC 1.0, NetWare 2.1 or higher, DOS 3.3
#

COMMON=..\common
CC=tcc
MODEL=s
CFLAGS=-m$(MODEL)
LFLAGS=
RPCC=rpcc
NOBJS=
IOBJS=
LIBS=rpc$(MODEL).lib nwspx$(MODEL).lib
INCS=
RINCS=

client.exe: client.obj cstubs.obj  $(IOBJS)
	$(CC) $(LFLAGS) -eclient.exe client.obj cstubs.obj $(IOBJS) $(LIBS)  

database.h: $(COMMON)\database.rpc
	$(RPCC) $(RINCS) -c $(COMMON)\database.rpc -o cstubs.c

cstubs.c: $(COMMON)\database.rpc
	$(RPCC) $(RINCS) -c $(COMMON)\database.rpc -o cstubs.c

cstubs.obj: cstubs.c database.h
	$(CC) $(CFLAGS) -c $(INCS) cstubs.c

client.obj: client.c database.h
	$(CC) $(CFLAGS) -c $(INCS) client.c

